Subject: Re: [next-20110214] Kernel-modules with unknown parameter

From: Dmitry Torokhov <[email-masked]>
Date: Mon, 14 Feb 2011 20:36:45 -0800

On Tue, Feb 15, 2011 at 05:14:24AM +0100, Sedat Dilek wrote:
> On Tue, Feb 15, 2011 at 4:58 AM, Stephen Rothwell <[email-masked]> wrote:
> > Hi Sedat,
> >
> > On Tue, 15 Feb 2011 04:34:24 +0100 Sedat Dilek <[email-masked]> wrote:
> >>
> >> On Tue, Feb 15, 2011 at 1:00 AM, Rusty Russell <[email-masked]> wrote:
> >> > On Mon, 14 Feb 2011 11:45:59 pm Sedat Dilek wrote:
> >> >> >> Any idea what's going on? Stephen, Randy noticed the same like me?
> >> >
> >> > Dmitry broke module parameters with a "trivial" transform which turned out
> >> > not to be.
> >> >
> >> > I wasn't paying enough attention, and let it through.
> >> >
> >> >> My damn brain can't understand - looking at the series file in [2] -
> >> >> why the hell the "possible" patch [3] is not included in linux-next?
> >> >
> >> > There are markers in the series file, which indicate what goes into
> >> > linux-next.
> >>
> >> Thanks for the explanations, it makes things seen from the
> >> patch-management side a bit clearer.
> >>  ( Not sure if the series files was modified in the meantime. )
> >>
> >> Here for documentation-purposes-only (partially extracted):
> >>
> >> [ http://ozlabs.org/~rusty/kernel/rr-latest/series ]
> >>
> >> # NEXT_PATCHES_START
> >> # MM_PATCHES_START
> >> # Trivial compilation fixes.
> >>
> >>
> >> ## for-linus
> >> virtio:virtio-net-add_schedule_check_to_napi_enable_call.patch
> >> ## for-linus end
> >> module:deal_with_alignment_issues_in_built_in_versions.patch
> >> module:do_not_hide_modver_version_show_declaration_behind_ifdef.patch
> >> virtio:blk_allow_re_reading_config_space_at_runtime.patch
> >> # MM_PATCHES_END
> >> # NEXT_PATCHES_END
> >>
> >> [ / http://ozlabs.org/~rusty/kernel/rr-latest/series ]
> >
> > That is how it looks today.  Yesterday, the patch
> > module:deal_with_alignment_issues_in_built_in_parameters.patch
> > was also included and that is what caused the problem.
> >
> >> Looks to me, the FIXUP patch marked with ***** was not really applied
> >> to linux-next?
> >
> > No, instead the breaking patch (above) was removed from Rusty's
> > linux-next series today.
> >
> >> Also, this fixup patch is no more in Rusty's series file.
> >> Is that all correct now?
> >
> > Rusty has a new version of the above patch which includes the fix (I
> > assume) but it is not included in linux-next today.
> >
> > --
> > Cheers,
> > Stephen Rothwell                    [email-masked]
> > http://www.canb.auug.org.au/~sfr/
> >
> 
> Hmm, would be nice to have a clarification or a confirmation after
> compilation and kernel-modules are loaded correctly on i386 (amd64)
> arch(s).

As it was proven that the change was a bit *ahem* involved it is
probably better for the updated patch (even though I am pretty sure it
is good now) to cook a bit more outside of next so Rusty removed it.

Thanks.

-- 
Dmitry